# -*- rpm-spec -*-
# $Id: kernel-modules-3c90x-aw-up,v 1.9 2003/09/03 16:05:29 ed Exp $
#

%define module_name 3c90x
%define module_version 1.0.2

%define kversion 2.4.21
%define krelease alt23
%define flavour aw-up

%define 	kcc "%kgcc"
%define		base_arch %(echo %{_target_cpu} | sed 's/i.86/i386/;s/athlon/i386/')

%define module_dir /lib/modules/%kversion-%flavour-%krelease/kernel/drivers/net

Summary: 3COM 3c90x network card drivers
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: alt7
License: GPL
Group: System/Kernel and hardware

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

BuildPreReq: kernel-build-tools

ExclusiveOS:	Linux
URL:		http://www.kernel.org/
BuildRequires:	%kgcc_package
BuildRequires:	modutils
BuildRequires:	perl
BuildRequires:	rpm >= 4.0.2-75
BuildRequires:  kernel-headers-%flavour
BuildRequires:  kernel-source-%module_name-%module_version

Prereq:		coreutils
Prereq:		modutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86

%description
This package contains 3com 3c90x nic drivers for linux kernel

%prep

rm -rf kernel-source-%module_name-%module_version

tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%build
%kcc -c 3c90x.c -O2 -Wall -Wstrict-prototypes -fomit-frame-pointer \
-I/usr/include/linux-%kversion-%flavour/include \
-fno-strength-reduce -pipe -DMODULE -D__KERNEL__ -DMODVERSIONS

%install
mkdir -p $RPM_BUILD_ROOT/%module_dir
install -p -m644 3c90x.o $RPM_BUILD_ROOT/%module_dir

%post
/sbin/depmod -a -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease

%postun
/sbin/depmod -a -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Wed Sep 03 2003 Ed V. Bartosh <ed@altlinux.org> 1.0.2-alt7
- rebuilt with 2.4.21-alt23

* Mon Sep 01 2003 Zhenja Kaluta <tren@altlinux.ru> 1.0.2-alt6
- rebuilt with 2.4.21-alt22

* Tue Aug 26 2003 Ed V. Bartosh <ed@altlinux.org> 1.0.2-alt5
- rebuilt with 2.4.21-alt21

* Wed Aug 20 2003 Ed V. Bartosh <ed@altlinux.org> 1.0.2-alt4
- rebuilt with 2.4.21-alt19

* Mon Aug 11 2003 Zhenja Kaluta <tren@altlinux.ru> 1.0.2-alt3
- rebuilt with 2.4.21-alt14

* Thu Aug 07 2003 Ed V. Bartosh <ed@altlinux.org> 1.0.2-alt2
- rebuilt with 2.4.21-alt14
- spec sanity check

* Thu Aug  7 2003 Ed V. Bartosh <ed@sam-solutions.net> 1.0.2-alt1
- Changed for 'aw' flavour

* Thu Jul 31 2003 Albert R. Valiev <darkstar@altlinux.ru> 1.0.2-alt1
- Initial build


